Bug 13950 - REGRESSION: Embedded Google Maps overlay does not work
Summary: REGRESSION: Embedded Google Maps overlay does not work
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Evangelism (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL: http://www.fifi-wifi.fi/foo/?pg=map
Keywords: GoogleBug, InRadar, NeedsReduction, Regression
Depends on:
Blocks:
 
Reported: 2007-05-31 07:15 PDT by Antti Koivisto
Modified: 2007-12-14 13:08 PST (History)
2 users (show)

See Also:


Attachments
test case for comment problem (170 bytes, text/html)
2007-07-11 15:57 PDT, Antti Koivisto
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2007-05-31 07:15:26 PDT
Overlay showing WiFi coverage is missing. Works fine with Tiger WebKit.
Comment 1 Antti Koivisto 2007-05-31 07:17:45 PDT
<rdar://problem/5239689>
Comment 2 mitz 2007-05-31 09:18:28 PDT
Are you sure this has nothing to do with the JS exceptions showing up in the console?
Comment 3 Antti Koivisto 2007-05-31 15:09:35 PDT
I didn't notice those. Could well be.
Comment 4 Antti Koivisto 2007-07-11 15:17:27 PDT
A major problem here is that the page has a comment as the first child of html :

<html><!--comment--><head>
 
Google maps script does document.documentElement.firstChild and expects to find the head. This works in Firefox as it reparents all comments before body to head but fails in ToT where the comment is kept as a child of html.

Fixing this gets rid of exceptions and makes the overlay work when clicking enable/disable button. There is some other problem besides this as the overlay still does not show up on first page load.
Comment 5 Antti Koivisto 2007-07-11 15:57:44 PDT
Created attachment 15481 [details]
test case for comment problem

WebKit behavior here does match the current HTML5 draft parsing rules though it does not match either Firefox or IE.
Comment 6 Adele Peterson 2007-08-30 14:48:57 PDT
<rdar://problem/5344233> is tracking this as an Evangelism problem that Google is aware of.
Comment 7 Alexey Proskuryakov 2007-12-14 13:08:54 PST
Fixed by Google.